AjaxSupportHandler (RichFaces JSF components library 3.2.0.CR3 API)
Keywords: org.ajax4jsf.taglib.html.facelets.AjaxSupportHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.taglib.html.facelets
Class AjaxSupportHandler

    java.lang.Object
      com.sun.facelets.tag.TagHandler
          org.ajax4jsf.taglib.html.facelets.AjaxSupportHandler

All Implemented Interfaces:
  com.sun.facelets.FaceletHandler

    public class AjaxSupportHandler

extends com.sun.facelets.tag.TagHandler

"proxy" class for creating UIAjaxSupport component as facet for it's parent.

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/02/01 15:31:22 $
Author:
  shura (latest modification by $Author: alexsmirnov $)

Field Summary

Fields inherited from class com.sun.facelets.tag.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`AjaxSupportHandler(com.sun.facelets.tag.jsf.ComponentConfig config)`

Method Summary
`void` | `apply(com.sun.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent)`

Methods inherited from class com.sun.facelets.tag.TagHandler
`findNextByType, getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AjaxSupportHandler

    public AjaxSupportHandler(com.sun.facelets.tag.jsf.ComponentConfig config)

Parameters:
  `config` -

Method Detail

### apply

    public void apply(com.sun.facelets.FaceletContext ctx,
                      javax.faces.component.UIComponent parent)
               throws java.io.IOException,
                      javax.faces.FacesException,
                      com.sun.facelets.FaceletException,
                      javax.el.ELException

  Throws:
    `java.io.IOException`
    `javax.faces.FacesException`
    `com.sun.facelets.FaceletException`
    `javax.el.ELException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.